﻿// 2020 Connection
// Author: Raheel Khan - @dzrstudios
// Version: 1.5
// http://2020connection.net
// Copyright © 2015 | All Rights Reserved.


$(document).on('hidden.bs.modal', '.modal', function () {
    if ($('.modal:visible').length > 0) {
        $('body').addClass('modal-open');
    }
});
$(function () {
    $('[data-toggle="tooltip"]').tooltip();
});


//Show alert
function alertFunc(color, msg) {
    var alert = $('<div class="alert alert-'+color+'"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>'+msg+'</div>').hide();
    var timeOut;
    //alert.prependTo('.notifications');
    //alert.fadeIn();
    alert.appendTo('.notifications');
    alert.slideDown();

    //Is autoclosing alert
    var delay = 5000;
    if(delay != undefined)
    {
        delay = parseInt(delay);
        clearTimeout(timeOut);
        timeOut = window.setTimeout(function() {
            alert.fadeOut(200, function(){ $(this).remove();});
        }, delay);
    }
    // remove last notification if more then six
    var countAlert = $(".notifications").children().length;
    if (countAlert > 6){
        $(".notifications .alert").first().remove();
    }
}


// error field
function errorField(selector) {
    $(selector).addClass('has-error').focus();
    $(document).on('keyup', selector, function () {
        $(selector).removeClass('has-error');
    });

}

// Wait function
function waitFunc(status){
    if(status == 'enable'){
        $('body').css('cursor','wait');
        $('body > *').css('pointer-events','none');
        $('#waitFunction').fadeIn(200);     // show please wait
    } else {
        $('body').css('cursor','initial');
        $('body > *').css('pointer-events','auto');
        $('#waitFunction').fadeOut(200);    // hide please wait
    }
}


/*
* Summary: Popup conformation alert dialog box with exclamation mark, css include in app.css
* Parameters: "text" contains alert text, "funcYes" contains yes callback function, "funcNo" contains no callback function
* Return: conformation alert dialog
*/
function confFuncMatWarning(text,funcYes,funcNo) {
    $('body > #confirm-box-material').remove();
    $('body').append('<div class="modal fade" id="confirm-box-material" >' +
        '<div class="modal-dialog modal-sm">' +
        '<div class="modal-content form-horizontal">' +
        '<div class="modal-body"><div class="row">' +
        '<div class="col-sm-3"><i class="fa fa-exclamation-triangle confirm-box-icon"></i></div>' +
        '<div class="col-sm-9">'+text+'</div>' +
        '</div>' +
        '</div>' +
        '<div class="modal-footer">' +
        '<div class="row">' +
        '<div class="col-sm-4 col-sm-offset-4"><button type="button" class="btn btn-default btn-block btn-confirm" data-confirm="no">No</button></div>' +
        '<div class="col-sm-4"><button type="button" class="btn btn-success btn-block btn-confirm" data-confirm="yes">Yes</button></div>' +
        '</div>' +
        '</div>' +
        '</div>' +
        '</div>' +
        '</div>');
    $('#confirm-box-material').modal({backdrop:'static',keyboard: false,show: true}); // open lightbox
    $('#confirm-box-material .btn-confirm').click(function (e) {
        e.stopImmediatePropagation();
        var getConf = $(this).attr('data-confirm');
        if(getConf == 'yes') {
            funcYes();
        } 
        $('#confirm-box-material').modal('hide');
    });
}




// Image Preview
function imgPrev(selector, prevImg) {
    if (selector.files && selector.files[0]) {
        var reader = new FileReader();

        reader.onload = function (e) {
            $(prevImg).attr('src', e.target.result);
        };

        reader.readAsDataURL(selector.files[0]);
    }
}
;;;;